package com.tykj.dev.device.user.read.service;

import com.tykj.dev.device.user.read.subject.bto.MessageBto;
import com.tykj.dev.device.user.read.subject.domin.Message;
import com.tykj.dev.device.user.read.subject.vo.MessageUserVo;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface MessageService {

    void add(MessageBto messageBto);

    void sendHash(Message message);

    Message update(Message message);

    Message get(Integer id);

    void delete(Integer id);

    List<MessageUserVo> getList();

    List<MessageBto> getBtoList();

    /**
     * @param messageId 阅知信息id
     * 阅读该信息
     */
    Message read(Integer messageId);

    /**
     * @param messageId 阅知信息id
     * 完成该阅知信息
     */
    Message complete(Integer messageId);
}
